>From 72d371b17fb22d025fc549e73aa04f5268e75ca3 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Fri, 27 Dec 2013 22:44:02 -0500
Subject: [PATCH] psql: Fix translate_columns counts

In several places, the translate_columns were not updated when new
columns were added to the display.  This can lead to garbage being used.

Relevant previous commits:
- c9ac00e6ecfaad4d6a3e1ee478b912c7227ae62a (9.2)
- 3b17efdfdd846c9bfad1637686e6f18198ea3df5 (9.2)
- 89368676273a4455a20eea61b8c2f30190a223ec (9.3)
---
 src/bin/psql/describe.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
index 96322ca..756d752 100644
--- a/src/bin/psql/describe.c
+++ b/src/bin/psql/describe.c
@@ -224,7 +224,7 @@ static bool describeOneTSConfig(const char *oid, const char *nspname,
 	PQExpBufferData buf;
 	PGresult   *res;
 	printQueryOpt myopt = pset.popt;
-	static const bool translate_columns[] = {false, false, false, false, true, true, false, false, false, false};
+	static const bool translate_columns[] = {false, false, false, false, true, true, false, false, false, false, false};
 
 	if (strlen(functypes) != strspn(functypes, "antwS+"))
 	{
@@ -2999,7 +2999,7 @@ static bool describeOneTSConfig(const char *oid, const char *nspname,
 	PQExpBufferData buf;
 	PGresult   *res;
 	printQueryOpt myopt = pset.popt;
-	static const bool translate_columns[] = {false, false, false, false, true};
+	static const bool translate_columns[] = {false, false, false, false, true, false};
 
 	initPQExpBuffer(&buf);
 
@@ -3134,7 +3134,7 @@ static bool describeOneTSConfig(const char *oid, const char *nspname,
 	PQExpBufferData buf;
 	PGresult   *res;
 	printQueryOpt myopt = pset.popt;
-	static const bool translate_columns[] = {false, false, false, true};
+	static const bool translate_columns[] = {false, false, false, true, false};
 
 	initPQExpBuffer(&buf);
 
-- 
1.8.5.1

